/*
 * ConfigFileNotFoundException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * 設定ファイルが存在しない場合に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ConfigFileNotFoundException extends ConfigurationRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = -8870391408576569713L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ConfigFileNotFoundException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ConfigFileNotFoundException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ConfigFileNotFoundException(String msg, Exception cause) {
		super(msg, cause);
	}
}
